- Main Page
- Classes
- Files

- Class List
- Class Members

# adapter_t Struct Reference

information about ac adapater More...

`#include <libacpi.h>`

Collaboration diagram for adapter_t:

[legend]
List of all members.

## Public Attributes
char * | name
char | state_file [MAX_NAME]
power_state_t | ac_state

## Detailed Description

information about ac adapater

Definition at line 164 of file libacpi.h.

## Member Data Documentation

char* adapter_t::name

ac adapter name

Definition at line 165 of file libacpi.h.

Referenced by init_acpi_acadapt().

char adapter_t::state_file[MAX_NAME]

state file for adapter + path

Definition at line 166 of file libacpi.h.

Referenced by init_acpi_acadapt(), and read_acpi_acstate().

power_state_t adapter_t::ac_state

current ac state, on-line or off-line

Definition at line 167 of file libacpi.h.

Referenced by read_acpi_acstate().

The documentation for this struct was generated from the following file:

- libacpi.h